fix: removing db start script files that are not needed

pull/87/head
Bob Love 2025-12-08 18:03:21 +00:00 committed by Matthew Vivian
parent 19dfd77c2d
commit 701432b7ed
2 changed files with 0 additions and 67 deletions

View File

@ -1,34 +0,0 @@
services:
db:
platform: linux/amd64
image: mcr.microsoft.com/mssql/server:2019-latest
container_name: mssql_server
ports:
- "1433:1433"
environment:
- ACCEPT_EULA=Y
- SA_PASSWORD=MyStrongPassword1
volumes:
- mssql_data:/var/opt/mssql
healthcheck:
test: /opt/mssql-tools18/bin/sqlcmd -S localhost -U sa -P "$$SA_PASSWORD" -Q "SELECT 1" -C || exit 1
interval: 10s
retries: 10
start_period: 10s
timeout: 5s
db-init:
platform: linux/amd64
image: mcr.microsoft.com/mssql/server:2019-latest
depends_on:
db:
condition: service_healthy
environment:
- SA_PASSWORD=MyStrongPassword1
volumes:
- ./sql:/init-scripts
# Override entrypoint to run your updated script
entrypoint: /bin/bash /init-scripts/init-db.sh
volumes:
mssql_data:

View File

@ -1,33 +0,0 @@
#!/bin/bash
PROJECT="openfire"
COMPOSE_FILE_COMMAND=("docker" "compose")
COMPOSE_FILE_COMMAND+=("--env-file" "../_common/.env")
COMPOSE_FILE_COMMAND+=("--project-name" "$PROJECT")
# Where is this script? It could be called from anywhere, so use this to get full paths.
SCRIPTPATH="$( cd "$(dirname "$0")"; pwd -P )"
source "$SCRIPTPATH/../_common/functions.sh"
echo "Starting a clustered environment."
COMPOSE_FILE_COMMAND+=("-f" "docker-compose-db.yml")
pushd "$SCRIPTPATH"
"$SCRIPTPATH"/../stop.sh
"${COMPOSE_FILE_COMMAND[@]}" pull --ignore-pull-failures
# Clean up temporary persistence data
if ! rm -rf _data; then
echo "ERROR: Failed to delete the _data directory. Try with sudo, then re-run." && popd && exit 1
fi
mkdir _data
cp -r xmpp _data/
cp -r plugins _data/
"${COMPOSE_FILE_COMMAND[@]}" up -d || popd
popd